=== debian/changelog ===
ossim (2.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Feb 2018 18:43:33 +0100

ossim (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 09 Jan 2018 18:37:52 +0100

ossim (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * Override dh_makeshlibs to use -V.
  * Add strict binary version dependency on libossim to ossim-core.
  * Add manpages for new utilities.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 27 Dec 2017 19:46:25 +0100

ossim (2.2.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Change libcurl4-dev alternative to libcurl-ssl-dev.
  * Update spelling-errors.patch to fix 'directories' typo.
  * Update Homepage URL to use trac.osgeo.org.
  * Update watch file to use GitHub releases.
  * Update copyright file, changes:
    - Update Format URL to use HTTPS
    - Update Source URL to GitHub
    - Drop Files-Excluded, repacking no longer required
    - Add license & copyright for git-prompt.sh
    - Update Files path for restructured upstream source tree
  * Drop patches, applied upstream.
  * Change Priority from extra to optional.
  * Bump Standards-Version to 4.1.2, changes: Priority.
  * Add autopkgtest to test installability.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Update rules for restructured upstream source tree.
  * Add patch to fix spelling errors.
  * Drop unused lintian overrides.
  * Don't install embedded fonts.
  * Strip trailing whitespace from changelog.
  * Drop libopenthreads-dev build dependency, no longer required.
  * Add libjsoncpp-dev to build dependencies.
  * Fix dh_auto_install override.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 09 Dec 2017 14:12:05 +0100
