=== debian/changelog ===
ossim (2.4.2-2) unstable; urgency=medium

  * Team upload.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 11:36:44 +0200

ossim (2.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.5, no changes.
  * Refresh patches.
  * Update lintian override for spelling-error-in-binary.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Jul 2018 07:41:26 +0200

ossim (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Jun 2018 07:24:22 +0200

ossim (2.4.0-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 May 2018 16:08:12 +0200

ossim (2.4.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop GCC 8 patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 30 May 2018 07:03:08 +0200

ossim (2.3.2-2) unstable; urgency=medium

  * Team upload.
  * Strip trailing whitespace from rules file.
  * Add upstream patch to fix FTBFS with GCC 8.
    (closes: #897829)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 May 2018 15:50:41 +0200

ossim (2.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.4, no changes.
  * Refresh patches.
  * Update spelling-errors.patch for new typos.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 May 2018 16:44:41 +0200

ossim (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-* URLs for Salsa.
  * Remove obsolete README.source.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Apr 2018 07:22:08 +0200

ossim (2.3.0-4) unstable; urgency=medium

  * Team upload.
  * Fix OTB versions in Breaks.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Mar 2018 07:36:17 +0100

ossim (2.3.0-3) unstable; urgency=medium

  * Team upload.
  * Add Breaks for OTB libraries that depend on libossim1.
    See: #892212

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Mar 2018 10:05:01 +0100

ossim (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Drop shlibs file for libossim1, rely on dh_makeshlibs -V.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Mar 2018 20:50:04 +0100

ossim (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Mar 2018 10:51:52 +0100

ossim (2.3.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Mar 2018 19:46:24 +0100
