=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libpng-dev,
                libtiff-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/ossim.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/ossim.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/ossim
+Vcs-Git: https://salsa.debian.org/debian-gis-team/ossim.git
 Homepage: https://trac.osgeo.org/ossim/
 
 Package: libossim1
@@ -24,7 +24,9 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Breaks: libossim1v5 (<< 1.8.20.3)
+Breaks: libossim1v5 (<< 1.8.20.3),
+        libotbossimadapters-6.4-1 (<= 6.4.0+dfsg-1),
+        libotbossimplugins-6.4-1 (<= 6.4.0+dfsg-1)
 Replaces: libossim1v5 (<< 1.8.20.3)
 Description: OSSIM library -- shared library
  Open Source Software Image Map (OSSIM) is a high performance engine for
