=== debian/rules ===
--- 
+++ 
@@ -61,4 +61,3 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
-
